from enum import Enum


class DatumTypes(Enum):
    """
    Enumeration for data types
    """

    DATUM_TX = "datum_tx"
    DATUM_TOKEN_DECL = "datum_token_decl"
    DATUM_TOKEN_EMISSION = "datum_token_emission"
    DATUM_CUSTOM = "datum_custom"
    DATUM_DECREE = "datum_decree"
    DATUM_ANCHOR = "datum_anchor"
    DATUM_SKEL = "datum_skel"
    # Unknown type
    DATUM_TYPE_UNKNOWN = "unknown"


class ChainTypes(Enum):
    """
    Enumeration for chain types
    """

    esbocs = "esbocs"
    dag_poa = "dag_poa"

    # Unknown type
    CHAIN_TYPE_UNKNOWN = "unknown"


class EventTypes(Enum):
    """
    Enumeration for event types
    """

    ROUND_NEW = "round_new"
    CONSENSUS_NEW = "consensus_new"
    # Unknown type
    EVENT_TYPE_UNKNOWN = "unknown"


# For backward compatibility
class EnumWallet(Enum):
    """Deprecated: Use DatumTypes instead"""

    TX = "TX"
    EMISSION = "EMISSION"
    TOKEN_DECL = "TOKEN_DECL"
    TOKEN_UPDATE = "TOKEN_UPDATE" 