from typing import List
from datetime import datetime

from pydantic import validator

from .._common import date_format, SerializeModel
from .datums import Datum
from .chain import Chain
from .sign import Sign


class Block(SerializeModel):
    chain: Chain
    hash: str
    created_at: str
    version: int
    cell_id: str
    signs: List[Sign]
    meta: dict

    @validator("created_at", pre=True)
    def date_format(cls, date: datetime):
        return date_format(date)
