from typing import List
from datetime import datetime
from pydantic import Field, validator
from .._common import SerializeModel, date_format
from .sign import Sign
from .chain import Chain


class Event(SerializeModel):
    hash: str
    chain: Chain
    created_at: str
    version: int
    cell_id: str
    signs: List[Sign]
    hashes: List[str]

    @validator("created_at", pre=True)
    def date_format(cls, date: datetime):
        return date_format(date)
